Package be.e_contract.ejsf.component.script

# Class ScriptELResolver

java.lang.Object
javax.el.ELResolver
be.e_contract.ejsf.component.script.ScriptELResolver

public class ScriptELResolver extends javax.el.ELResolver

## Field Summary

### Fields inherited from class javax.el.ELResolver

`RESOLVABLE_AT_DESIGN_TIME, TYPE`

## Constructor Summary

Constructors
Constructor
Description
`ScriptELResolver()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`convertToType(javax.el.ELContext context, Object obj, Class<?> targetType)`
`Class<?>`
`getCommonPropertyType(javax.el.ELContext context, Object base)`
`Iterator<FeatureDescriptor>`
`getFeatureDescriptors(javax.el.ELContext context, Object base)`
`Class<?>`
`getType(javax.el.ELContext context, Object base, Object property)`
`Object`
`getValue(javax.el.ELContext context, Object base, Object property)`
`Object`
`invoke(javax.el.ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)`
`boolean`
`isReadOnly(javax.el.ELContext context, Object base, Object property)`
`void`
`setValue(javax.el.ELContext context, Object base, Object property, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptELResolver

public ScriptELResolver()

## Method Details

### getValue

public Object getValue(javax.el.ELContext context, Object base, Object property)

Specified by:
  `getValue` in class `javax.el.ELResolver`

### convertToType

public Object convertToType(javax.el.ELContext context, Object obj, Class<?> targetType)

Overrides:
  `convertToType` in class `javax.el.ELResolver`

### invoke

public Object invoke(javax.el.ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)

Overrides:
  `invoke` in class `javax.el.ELResolver`

### getType

public Class<?> getType(javax.el.ELContext context, Object base, Object property)

Specified by:
  `getType` in class `javax.el.ELResolver`

### setValue

public void setValue(javax.el.ELContext context, Object base, Object property, Object value)

Specified by:
  `setValue` in class `javax.el.ELResolver`

### isReadOnly

public boolean isReadOnly(javax.el.ELContext context, Object base, Object property)

Specified by:
  `isReadOnly` in class `javax.el.ELResolver`

### getFeatureDescriptors

public Iterator<FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context, Object base)

Specified by:
  `getFeatureDescriptors` in class `javax.el.ELResolver`

### getCommonPropertyType

public Class<?> getCommonPropertyType(javax.el.ELContext context, Object base)

Specified by:
  `getCommonPropertyType` in class `javax.el.ELResolver`